Bug 9922 - [PATCH] Избыточная зависимоcть на xorg-x11-devel
: [PATCH] Избыточная зависимоcть на xorg-x11-devel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libdockapp-devel)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
: patch
:
:
  Show dependency tree
 
Reported: 2006-08-27 13:34 by
Modified: 2008-08-31 13:22 (History)


Attachments
diff для спека (2.08 KB, patch)
2006-10-02 15:20, Slava Semushin
no flags Details | Diff
Патч для устранения всех предупреждений от компилятора (1.70 KB, patch)
2006-10-02 15:23, Slava Semushin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-27 13:34:14
[c0der@rock ~]$ rpm -q libdockapp-devel
libdockapp-devel-0.6.1-alt1

libdockapp-devel содержит избыточные зависимости, в частности на виртуальный
пакет xorg-x11-devel:

[c0der@rock ~]$ rpm -qR libdockapp-devel
libdockapp = 0.6.1-alt1
xorg-x11-devel
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1

На самом же деле пакету реально требуются только libX11-devel и libXpm-devel:

[c0der@rock ~]$ sed -ne 's|^#include <\(X11/.*\.h\)>|/usr/include/\1|p'
/usr/include/dockapp.h | xargs rpm -qf
libX11-devel-1.0.0-alt5
libX11-devel-1.0.0-alt5
libXpm-devel-3.5.5-alt1

В случае уменьшения зависимостей выгода будет в том, что в чрут хашера нужно
будет устанавливать на 44 пакета меньше, что для меня важно, т.к. я использую
самосборный репозитарий.
------- Comment #1 From 2006-08-27 23:18:04 -------
У меня пока нет повода пересобирать пакет, но в ледующей сборке постараюсь не
забыть.
------- Comment #2 From 2006-08-27 23:34:35 -------
(In reply to comment #1)

А бага в багзилле уже не повод для выпуска новой сборки пакета ??! :D
------- Comment #3 From 2006-08-28 00:14:27 -------
Такая - нет.
------- Comment #4 From 2006-10-01 22:09:43 -------
Готов сделать NMU.
------- Comment #5 From 2006-10-02 15:20:25 -------
Created an attachment (id=1647) [details]
diff для спека
------- Comment #6 From 2006-10-02 15:23:19 -------
Created an attachment (id=1648) [details]
Патч для устранения всех предупреждений от компилятора
------- Comment #7 From 2008-06-19 02:25:13 -------
Fixed in upcoming 0.6.2-alt1